import Vue, { CreateElement, VNode } from 'vue';
import { TdPrimaryTableProps } from '../../type';
import { RenderExpandRow } from '../../util/interface';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    getExpandRowHandler(): TdPrimaryTableProps['expandedRow'];
    getExpandColumns(columns: import("../../type").PrimaryTableCol<import("../../type").TableRowData>[]): import("../../type").PrimaryTableCol<import("../../type").TableRowData>[];
    renderExpandIconCell({ row, rowIndex }: Record<string, any>): VNode;
    renderExpandedRow({ rows, row, columns: defaultColumns, rowIndex, }: RenderExpandRow): VNode;
    handleExpandChange(record?: Record<string, any>): void;
}, {
    reRowKey: string;
}, {
    expandedRowKeys: (string | number)[];
    expandedRow: (h: CreateElement, props: {
        row: import("../../type").TableRowData;
        index: number;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    expandIcon: boolean | ((h: CreateElement, props: import("../../type").ExpandArrowRenderParams<import("../../type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    data: import("../../type").TableRowData[];
    rowKey: string;
}>;
export default _default;
